<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myMasterDistributorLabel" jhiTranslate="mpmApp.masterDistributor.home.createOrEditLabel">Create or edit a Master Distributor</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!masterDistributor.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="masterDistributor.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterDistributor.cust_code" for="field_cust_code">Cust Code</label>
            <input type="text" class="form-control" name="cust_code" id="field_cust_code"
                [(ngModel)]="masterDistributor.cust_code"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterDistributor.cust_name" for="field_cust_name">Cust Name</label>
            <input type="text" class="form-control" name="cust_name" id="field_cust_name"
                [(ngModel)]="masterDistributor.cust_name"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterDistributor.cust_nick" for="field_cust_nick">Cust Nick</label>
            <input type="text" class="form-control" name="cust_nick" id="field_cust_nick"
                [(ngModel)]="masterDistributor.cust_nick"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterDistributor.cust_addr" for="field_cust_addr">Cust Addr</label>
            <input type="text" class="form-control" name="cust_addr" id="field_cust_addr"
                [(ngModel)]="masterDistributor.cust_addr"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterDistributor.cust_addr2" for="field_cust_addr2">Cust Addr 2</label>
            <input type="text" class="form-control" name="cust_addr2" id="field_cust_addr2"
                [(ngModel)]="masterDistributor.cust_addr2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterDistributor.cust_addr3" for="field_cust_addr3">Cust Addr 3</label>
            <input type="text" class="form-control" name="cust_addr3" id="field_cust_addr3"
                [(ngModel)]="masterDistributor.cust_addr3"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterDistributor.cust_send" for="field_cust_send">Cust Send</label>
            <input type="text" class="form-control" name="cust_send" id="field_cust_send"
                [(ngModel)]="masterDistributor.cust_send"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterDistributor.cust_send2" for="field_cust_send2">Cust Send 2</label>
            <input type="text" class="form-control" name="cust_send2" id="field_cust_send2"
                [(ngModel)]="masterDistributor.cust_send2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterDistributor.cust_send3" for="field_cust_send3">Cust Send 3</label>
            <input type="text" class="form-control" name="cust_send3" id="field_cust_send3"
                [(ngModel)]="masterDistributor.cust_send3"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterDistributor.cust_phone" for="field_cust_phone">Cust Phone</label>
            <input type="text" class="form-control" name="cust_phone" id="field_cust_phone"
                [(ngModel)]="masterDistributor.cust_phone"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterDistributor.cust_pic" for="field_cust_pic">Cust Pic</label>
            <input type="text" class="form-control" name="cust_pic" id="field_cust_pic"
                [(ngModel)]="masterDistributor.cust_pic"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.masterDistributor.cust_limit" for="field_cust_limit">Cust Limit</label>
            <input type="number" class="form-control" name="cust_limit" id="field_cust_limit"
                [(ngModel)]="masterDistributor.cust_limit"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
